// java wrapper for vtkRenderWindow object
//

package vtk;
import vtk.*;

public class vtkRenderWindow extends vtkWindow
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native void AddRenderer_2(vtkRenderer id0);
  public void AddRenderer(vtkRenderer id0)
    { AddRenderer_2(id0); }

  private native void RemoveRenderer_3(vtkRenderer id0);
  public void RemoveRenderer(vtkRenderer id0)
    { RemoveRenderer_3(id0); }

  private native String GetRenderLibrary_4();
  public String GetRenderLibrary()
    { return GetRenderLibrary_4(); }

  private native vtkRendererCollection GetRenderers_5();
  public vtkRendererCollection GetRenderers()
    { return GetRenderers_5(); }

  private native void Render_6();
  public void Render()
    { Render_6(); }

  private native void Start_7();
  public void Start()
    { Start_7(); }

  private native void Frame_8();
  public void Frame()
    { Frame_8(); }

  private native void CopyResultFrame_9();
  public void CopyResultFrame()
    { CopyResultFrame_9(); }

  private native vtkRenderWindowInteractor MakeRenderWindowInteractor_10();
  public vtkRenderWindowInteractor MakeRenderWindowInteractor()
    { return MakeRenderWindowInteractor_10(); }

  private native void HideCursor_11();
  public void HideCursor()
    { HideCursor_11(); }

  private native void ShowCursor_12();
  public void ShowCursor()
    { ShowCursor_12(); }

  private native void SetCursorPosition_13(int id0,int id1);
  public void SetCursorPosition(int id0,int id1)
    { SetCursorPosition_13(id0,id1); }

  private native void SetCurrentCursor_14(int id0);
  public void SetCurrentCursor(int id0)
    { SetCurrentCursor_14(id0); }

  private native int GetCurrentCursor_15();
  public int GetCurrentCursor()
    { return GetCurrentCursor_15(); }

  private native void SetFullScreen_16(int id0);
  public void SetFullScreen(int id0)
    { SetFullScreen_16(id0); }

  private native int GetFullScreen_17();
  public int GetFullScreen()
    { return GetFullScreen_17(); }

  private native void FullScreenOn_18();
  public void FullScreenOn()
    { FullScreenOn_18(); }

  private native void FullScreenOff_19();
  public void FullScreenOff()
    { FullScreenOff_19(); }

  private native void SetBorders_20(int id0);
  public void SetBorders(int id0)
    { SetBorders_20(id0); }

  private native int GetBorders_21();
  public int GetBorders()
    { return GetBorders_21(); }

  private native void BordersOn_22();
  public void BordersOn()
    { BordersOn_22(); }

  private native void BordersOff_23();
  public void BordersOff()
    { BordersOff_23(); }

  private native int GetStereoCapableWindow_24();
  public int GetStereoCapableWindow()
    { return GetStereoCapableWindow_24(); }

  private native void StereoCapableWindowOn_25();
  public void StereoCapableWindowOn()
    { StereoCapableWindowOn_25(); }

  private native void StereoCapableWindowOff_26();
  public void StereoCapableWindowOff()
    { StereoCapableWindowOff_26(); }

  private native void SetStereoCapableWindow_27(int id0);
  public void SetStereoCapableWindow(int id0)
    { SetStereoCapableWindow_27(id0); }

  private native int GetStereoRender_28();
  public int GetStereoRender()
    { return GetStereoRender_28(); }

  private native void SetStereoRender_29(int id0);
  public void SetStereoRender(int id0)
    { SetStereoRender_29(id0); }

  private native void StereoRenderOn_30();
  public void StereoRenderOn()
    { StereoRenderOn_30(); }

  private native void StereoRenderOff_31();
  public void StereoRenderOff()
    { StereoRenderOff_31(); }

  private native void SetPointSmoothing_32(int id0);
  public void SetPointSmoothing(int id0)
    { SetPointSmoothing_32(id0); }

  private native int GetPointSmoothing_33();
  public int GetPointSmoothing()
    { return GetPointSmoothing_33(); }

  private native void PointSmoothingOn_34();
  public void PointSmoothingOn()
    { PointSmoothingOn_34(); }

  private native void PointSmoothingOff_35();
  public void PointSmoothingOff()
    { PointSmoothingOff_35(); }

  private native void SetLineSmoothing_36(int id0);
  public void SetLineSmoothing(int id0)
    { SetLineSmoothing_36(id0); }

  private native int GetLineSmoothing_37();
  public int GetLineSmoothing()
    { return GetLineSmoothing_37(); }

  private native void LineSmoothingOn_38();
  public void LineSmoothingOn()
    { LineSmoothingOn_38(); }

  private native void LineSmoothingOff_39();
  public void LineSmoothingOff()
    { LineSmoothingOff_39(); }

  private native void SetPolygonSmoothing_40(int id0);
  public void SetPolygonSmoothing(int id0)
    { SetPolygonSmoothing_40(id0); }

  private native int GetPolygonSmoothing_41();
  public int GetPolygonSmoothing()
    { return GetPolygonSmoothing_41(); }

  private native void PolygonSmoothingOn_42();
  public void PolygonSmoothingOn()
    { PolygonSmoothingOn_42(); }

  private native void PolygonSmoothingOff_43();
  public void PolygonSmoothingOff()
    { PolygonSmoothingOff_43(); }

  private native int GetStereoType_44();
  public int GetStereoType()
    { return GetStereoType_44(); }

  private native void SetStereoType_45(int id0);
  public void SetStereoType(int id0)
    { SetStereoType_45(id0); }

  private native void SetStereoTypeToCrystalEyes_46();
  public void SetStereoTypeToCrystalEyes()
    { SetStereoTypeToCrystalEyes_46(); }

  private native void SetStereoTypeToRedBlue_47();
  public void SetStereoTypeToRedBlue()
    { SetStereoTypeToRedBlue_47(); }

  private native void SetStereoTypeToInterlaced_48();
  public void SetStereoTypeToInterlaced()
    { SetStereoTypeToInterlaced_48(); }

  private native void SetStereoTypeToLeft_49();
  public void SetStereoTypeToLeft()
    { SetStereoTypeToLeft_49(); }

  private native void SetStereoTypeToRight_50();
  public void SetStereoTypeToRight()
    { SetStereoTypeToRight_50(); }

  private native void SetStereoTypeToDresden_51();
  public void SetStereoTypeToDresden()
    { SetStereoTypeToDresden_51(); }

  private native String GetStereoTypeAsString_52();
  public String GetStereoTypeAsString()
    { return GetStereoTypeAsString_52(); }

  private native void StereoUpdate_53();
  public void StereoUpdate()
    { StereoUpdate_53(); }

  private native void StereoMidpoint_54();
  public void StereoMidpoint()
    { StereoMidpoint_54(); }

  private native void StereoRenderComplete_55();
  public void StereoRenderComplete()
    { StereoRenderComplete_55(); }

  private native void WindowRemap_56();
  public void WindowRemap()
    { WindowRemap_56(); }

  private native void SetSwapBuffers_57(int id0);
  public void SetSwapBuffers(int id0)
    { SetSwapBuffers_57(id0); }

  private native int GetSwapBuffers_58();
  public int GetSwapBuffers()
    { return GetSwapBuffers_58(); }

  private native void SwapBuffersOn_59();
  public void SwapBuffersOn()
    { SwapBuffersOn_59(); }

  private native void SwapBuffersOff_60();
  public void SwapBuffersOff()
    { SwapBuffersOff_60(); }

  private native int SetPixelData_61(int id0,int id1,int id2,int id3,vtkUnsignedCharArray id4,int id5);
  public int SetPixelData(int id0,int id1,int id2,int id3,vtkUnsignedCharArray id4,int id5)
    { return SetPixelData_61(id0,id1,id2,id3,id4,id5); }

  private native int GetRGBAPixelData_62(int id0,int id1,int id2,int id3,int id4,vtkFloatArray id5);
  public int GetRGBAPixelData(int id0,int id1,int id2,int id3,int id4,vtkFloatArray id5)
    { return GetRGBAPixelData_62(id0,id1,id2,id3,id4,id5); }

  private native int SetRGBAPixelData_63(int id0,int id1,int id2,int id3,vtkFloatArray id4,int id5,int id6);
  public int SetRGBAPixelData(int id0,int id1,int id2,int id3,vtkFloatArray id4,int id5,int id6)
    { return SetRGBAPixelData_63(id0,id1,id2,id3,id4,id5,id6); }

  private native int GetRGBACharPixelData_64(int id0,int id1,int id2,int id3,int id4,vtkUnsignedCharArray id5);
  public int GetRGBACharPixelData(int id0,int id1,int id2,int id3,int id4,vtkUnsignedCharArray id5)
    { return GetRGBACharPixelData_64(id0,id1,id2,id3,id4,id5); }

  private native int SetRGBACharPixelData_65(int id0,int id1,int id2,int id3,vtkUnsignedCharArray id4,int id5,int id6);
  public int SetRGBACharPixelData(int id0,int id1,int id2,int id3,vtkUnsignedCharArray id4,int id5,int id6)
    { return SetRGBACharPixelData_65(id0,id1,id2,id3,id4,id5,id6); }

  private native int GetZbufferData_66(int id0,int id1,int id2,int id3,vtkFloatArray id4);
  public int GetZbufferData(int id0,int id1,int id2,int id3,vtkFloatArray id4)
    { return GetZbufferData_66(id0,id1,id2,id3,id4); }

  private native int SetZbufferData_67(int id0,int id1,int id2,int id3,vtkFloatArray id4);
  public int SetZbufferData(int id0,int id1,int id2,int id3,vtkFloatArray id4)
    { return SetZbufferData_67(id0,id1,id2,id3,id4); }

  private native int GetAAFrames_68();
  public int GetAAFrames()
    { return GetAAFrames_68(); }

  private native void SetAAFrames_69(int id0);
  public void SetAAFrames(int id0)
    { SetAAFrames_69(id0); }

  private native int GetFDFrames_70();
  public int GetFDFrames()
    { return GetFDFrames_70(); }

  private native void SetFDFrames_71(int id0);
  public void SetFDFrames(int id0)
    { SetFDFrames_71(id0); }

  private native int GetSubFrames_72();
  public int GetSubFrames()
    { return GetSubFrames_72(); }

  private native void SetSubFrames_73(int id0);
  public void SetSubFrames(int id0)
    { SetSubFrames_73(id0); }

  private native int GetNeverRendered_74();
  public int GetNeverRendered()
    { return GetNeverRendered_74(); }

  private native int GetAbortRender_75();
  public int GetAbortRender()
    { return GetAbortRender_75(); }

  private native void SetAbortRender_76(int id0);
  public void SetAbortRender(int id0)
    { SetAbortRender_76(id0); }

  private native int GetInAbortCheck_77();
  public int GetInAbortCheck()
    { return GetInAbortCheck_77(); }

  private native void SetInAbortCheck_78(int id0);
  public void SetInAbortCheck(int id0)
    { SetInAbortCheck_78(id0); }

  private native int CheckAbortStatus_79();
  public int CheckAbortStatus()
    { return CheckAbortStatus_79(); }

  private native int GetIsPicking_80();
  public int GetIsPicking()
    { return GetIsPicking_80(); }

  private native void SetIsPicking_81(int id0);
  public void SetIsPicking(int id0)
    { SetIsPicking_81(id0); }

  private native void IsPickingOn_82();
  public void IsPickingOn()
    { IsPickingOn_82(); }

  private native void IsPickingOff_83();
  public void IsPickingOff()
    { IsPickingOff_83(); }

  private native int GetEventPending_84();
  public int GetEventPending()
    { return GetEventPending_84(); }

  private native int CheckInRenderStatus_85();
  public int CheckInRenderStatus()
    { return CheckInRenderStatus_85(); }

  private native void ClearInRenderStatus_86();
  public void ClearInRenderStatus()
    { ClearInRenderStatus_86(); }

  private native void SetAbortCheckMethod_87(Object id0, String id1);
  public void SetAbortCheckMethod(Object id0, String id1)
    { SetAbortCheckMethod_87(id0,id1); }

  private native void SetDesiredUpdateRate_88(double id0);
  public void SetDesiredUpdateRate(double id0)
    { SetDesiredUpdateRate_88(id0); }

  private native double GetDesiredUpdateRate_89();
  public double GetDesiredUpdateRate()
    { return GetDesiredUpdateRate_89(); }

  private native int GetNumberOfLayers_90();
  public int GetNumberOfLayers()
    { return GetNumberOfLayers_90(); }

  private native void SetNumberOfLayers_91(int id0);
  public void SetNumberOfLayers(int id0)
    { SetNumberOfLayers_91(id0); }

  private native int GetNumberOfLayersMinValue_92();
  public int GetNumberOfLayersMinValue()
    { return GetNumberOfLayersMinValue_92(); }

  private native int GetNumberOfLayersMaxValue_93();
  public int GetNumberOfLayersMaxValue()
    { return GetNumberOfLayersMaxValue_93(); }

  private native vtkRenderWindowInteractor GetInteractor_94();
  public vtkRenderWindowInteractor GetInteractor()
    { return GetInteractor_94(); }

  private native void SetInteractor_95(vtkRenderWindowInteractor id0);
  public void SetInteractor(vtkRenderWindowInteractor id0)
    { SetInteractor_95(id0); }

  private native void UnRegister_96(vtkObjectBase id0);
  public void UnRegister(vtkObjectBase id0)
    { UnRegister_96(id0); }

  private native void SetWindowInfo_97(String id0);
  public void SetWindowInfo(String id0)
    { SetWindowInfo_97(id0); }

  private native void SetParentInfo_98(String id0);
  public void SetParentInfo(String id0)
    { SetParentInfo_98(id0); }

  private native void MakeCurrent_99();
  public void MakeCurrent()
    { MakeCurrent_99(); }

  private native void SetForceMakeCurrent_100();
  public void SetForceMakeCurrent()
    { SetForceMakeCurrent_100(); }

  private native String ReportCapabilities_101();
  public String ReportCapabilities()
    { return ReportCapabilities_101(); }

  private native int SupportsOpenGL_102();
  public int SupportsOpenGL()
    { return SupportsOpenGL_102(); }

  private native int IsDirect_103();
  public int IsDirect()
    { return IsDirect_103(); }

  private native int GetDepthBufferSize_104();
  public int GetDepthBufferSize()
    { return GetDepthBufferSize_104(); }

  public vtkRenderWindow() { super(); };

  protected vtkRenderWindow(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
